<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>mixnet</artifactId>
        <groupId>com.scytl.products.ov</groupId>
        <version>2.1.6</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>validation-commons</artifactId>
    <name>Secure Data Manager - Validation commons</name>

    <dependencies>

        <dependency>
            <groupId>com.scytl.mixing</groupId>
            <artifactId>mixing-commons</artifactId>
            <version>${mixing.version}</version>
            <type>test-jar</type>
            <scope>test</scope>
        </dependency>

        <!-- CryptoLib dependencies -->
        <dependency>
            <artifactId>cryptolib-elgamal</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
        </dependency>
        <dependency>
            <artifactId>cryptolib-proofs</artifactId>
            <groupId>com.scytl.cryptolib</groupId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib</artifactId>
        </dependency>
        <!-- Spring batch -->
        <dependency>
            <groupId>org.springframework.batch</groupId>
            <artifactId>spring-batch-core</artifactId>
        </dependency>
        
        <!-- Spring batch -->
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-aop</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-beans</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-core</artifactId>
       </dependency>
       <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-tx</artifactId>
       </dependency>
       
       <!-- Apache Commons -->
       <dependency>
           <groupId>org.apache.commons</groupId>
           <artifactId>commons-lang3</artifactId>
       </dependency>
    </dependencies>

</project>
